perl-multidimensional-0.014-alt3_6.x86_64.rpm


Advertisement

Description

perl-multidimensional - Disables multidimensional array emulation

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports x86_64
Package filename perl-multidimensional-0.014-alt3_6.x86_64.rpm
Package name perl-multidimensional
Package version 0.014
Package release alt3_6
Package architecture x86_64
Package type rpm
Category Development/Other
Homepage -
License -
Maintainer -
Download size 36.70 KB
Installed size 36.70 KB
Perl's multidimensional array emulation stems from the days before the language
had references, but these days it mostly serves to bite you when you typo a
hash slice by using the $ sigil instead of @.
This module lexically makes using multidimensional array emulation a fatal error
at compile time.

Alternatives

Package Version Architecture Repository
perl-multidimensional-0.014-alt3_6.i586.rpm 0.014 i586 Autoimports
perl-multidimensional - - -

Requires

Name Value
/usr/lib64/perl5 -
libperl-5.28.so()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
perl(B/Hooks/OP/Check.pm) >= 0.190
perl(XSLoader.pm) -
perl(if.pm) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
perl(multidimensional.pm) = 0.014
perl-multidimensional = 0.014-alt3_6

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-multidimensional-0.014-alt3_6.x86_64.rpm
Source Package perl-multidimensional-0.014-alt3_6.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus x86_64 autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-multidimensional rpm package:
    # sudo apt-get install perl-multidimensional

Files

Path
/usr/lib64/perl5/multidimensional.pm
/usr/lib64/perl5/auto/multidimensional/multidimensional.so
/usr/share/doc/perl-multidimensional-0.014/Changes
/usr/share/doc/perl-multidimensional-0.014/LICENSE
/usr/share/doc/perl-multidimensional-0.014/README

See Also

Package Description
perl-namespace-clean-xs-0.09-alt2.1.x86_64.rpm Keep imports and functions out of your namespace, in XS
perl-nvidia-ml-pl-4.304.2-alt4.1.x86_64.rpm Perl bindings to the NVIDIA Management Library NVML
perl-overload-eval-0.10-alt4.1.x86_64.rpm Hooks the native string eval() function
perl-overload-eval-scripts-0.10-alt4.1.x86_64.rpm overload-eval scripts
perl-overload-substr-0.03-alt4.1.x86_64.rpm overload Perl's C<substr()> function
perl-pamlyn-0.01-alt4.1.x86_64.rpm perl module pamlyn
perl-perl-vgalib-0.4-alt4.1.x86_64.rpm Perl extension for svgalib-1.2.11
perl-perl5i-2.13.2-alt2_10.x86_64.rpm Fix as much of Perl 5 as possible in one pragma
perl-ptkFAQ-0_03-alt3.1.x86_64.rpm perl module ptkFAQ
perl-qt4-4.14.3-alt1_16.x86_64.rpm Qt bindings for Perl
perl-qt4-devel-4.14.3-alt1_16.x86_64.rpm Headers files for perl-qt4
perl-re-engine-Lua-0.19-alt1.x86_64.rpm Lua regular expression engine
perl-re-engine-PCRE-0.17-alt4.2.x86_64.rpm Perl-compatible regular expression engine
perl-re-engine-PCRE2-0.16-alt1.x86_64.rpm PCRE2 regular expression engine with jit
perl-re-engine-Plugin-0.12-alt3.1.x86_64.rpm API to write custom regex engines
Advertisement
Advertisement